<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-developing-qnx.qdoc -->
  <title>Connecting QNX Devices | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Connecting QNX Devices</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-developing-mcu.html" />
  <link rel="next" href="creator-setup-webassembly.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-developing-mcu.html">Connecting MCUs</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-setup-webassembly.html">Building Applications for the Web</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#adding-a-qnx-neutrino-device-in-qt-creator">Adding a QNX Neutrino Device in Qt Creator</a></li>
<li class="level1"><a href="#adding-kits-for-qnx-devices">Adding Kits for QNX Devices</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Connecting QNX Devices</h1>
<span class="subtitle"></span>
<!-- $$$creator-developing-qnx.html-description -->
<div class="descr"> <a name="details"></a>
<p>You can connect QNX devices to the development PC to deploy, run and debug applications on them from within Qt Creator. The QNX Neutrino RTOS should provide a few additional command line tools and services, as described in <a href="http://doc.qt.io/qt-5/qnx.html#qt-creator-target-requirements">Qt Creator Target Requirements</a>.</p>
<a name="adding-a-qnx-neutrino-device-in-qt-creator"></a>
<h2 id="adding-a-qnx-neutrino-device-in-qt-creator">Adding a QNX Neutrino Device in Qt Creator</h2>
<p>Adding a QNX Neutrino device is very similar to <a href="creator-developing-generic-linux.html">Connecting Embedded Linux Devices</a>, except you need to select <b>QNX Device</b> in the <b>Device Configuration</b> wizard.</p>
<a name="adding-kits-for-qnx-devices"></a>
<h2 id="adding-kits-for-qnx-devices">Adding Kits for QNX Devices</h2>
<p>To view QNX device settings, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Devices</b> &gt; <b>QNX</b>. Select the <b>Generate kits</b> check box to allow Qt Creator to generate kits for QNX development. For more information about how to create the kits manually, see <a href="creator-targets.html">Adding Kits</a>.</p>
</div>
<!-- @@@creator-developing-qnx.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-developing-mcu.html">Connecting MCUs</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-setup-webassembly.html">Building Applications for the Web</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
